package com.zhyc.module.base.service;

import java.util.List;
import java.util.Map;

import com.zhyc.common.core.domain.AjaxResult;
import com.zhyc.module.base.domain.BasGroupTreeVo;
import com.zhyc.module.base.domain.BasSheepGroupMapping;

/**
 * 羊只分组关联Service接口
 * 
 * @author wyt
 * @date 2025-07-16
 */
public interface IBasSheepGroupMappingService 
{
    /**
     * 查询羊只分组关联
     * 
     * @param id 羊只分组关联主键
     * @return 羊只分组关联
     */
    public BasSheepGroupMapping selectBasSheepGroupMappingById(Long id);

    /**
     * 查询羊只分组关联列表
     * 
     * @param basSheepGroupMapping 羊只分组关联
     * @return 羊只分组关联集合
     */
    public List<BasSheepGroupMapping> selectBasSheepGroupMappingList(BasSheepGroupMapping basSheepGroupMapping);


    /**
     * 联表查询羊只分组关联列表（支持耳号列表）
     */
    List<Map<String, Object>> selectBasSheepGroupMappingList(Long sheepId, Long groupId, List<String> bsManageTags);


    /**
     * 新增羊只分组关联
     * 
     * @param basSheepGroupMapping 羊只分组关联
     * @return 结果
     */
    public int insertBasSheepGroupMapping(BasSheepGroupMapping basSheepGroupMapping);

    /**
     * 修改羊只分组关联
     * 
     * @param basSheepGroupMapping 羊只分组关联
     * @return 结果
     */
    public int updateBasSheepGroupMapping(BasSheepGroupMapping basSheepGroupMapping);

    /**
     * 批量删除羊只分组关联
     * 
     * @param ids 需要删除的羊只分组关联主键集合
     * @return 结果
     */
    public int deleteBasSheepGroupMappingByIds(Long[] ids);

    /**
     * 删除羊只分组关联信息
     * 
     * @param id 羊只分组关联主键
     * @return 结果
     */
    public int deleteBasSheepGroupMappingById(Long id);

    public AjaxResult addByEarTags(List<String> earTags, Long groupId);

    /**
     * 树形分组下拉框
     */
    List<BasGroupTreeVo> selectGroupTree();
}
